#include <stdio.h>
#include <stdlib.h>

int Vrati_Poziciju(int N, int L, int Niz[])
{
    for(int i=0; i<N; i++)
    {
        if(Niz[i] <= L)
            return (i+1);
    }
    return -1;
}

int main()
{
    int N, L;
    scanf("%d %d", &N, &L);
    int H[N];
    for(int i=0; i < N; i++)
    {
        scanf("%d", &H[i]);
    }
    int rezultat = Vrati_Poziciju(N, L, &H);
    printf("%d", rezultat);
    return 0;
}